searchNodes=[{"type":"module","title":"K6.Archive","doc":"Extracts k6 archive. Target archive can be a zip or a tar_gz file.","ref":"K6.Archive.html"},{"type":"function","title":"K6.Archive.extract!/3","doc":"Extracts archive to a given filename","ref":"K6.Archive.html#extract!/3"},{"type":"module","title":"K6.Downloader","doc":"Downloads k6 package according to a version and target environment","ref":"K6.Downloader.html"},{"type":"function","title":"K6.Downloader.download!/1","doc":"Downloads k6 package","ref":"K6.Downloader.html#download!/1"},{"type":"function","title":"K6.Downloader.verify_checksum!/2","doc":"","ref":"K6.Downloader.html#verify_checksum!/2"},{"type":"module","title":"K6.Installer","doc":"Module used to install k6. k6 version can be explicitly configured with: config :k6 , version : &quot;vX.X.X&quot; If no k6 version is set the default is v0.39.0.","ref":"K6.Installer.html"},{"type":"function","title":"K6.Installer.install!/0","doc":"Installs k6","ref":"K6.Installer.html#install!/0"},{"type":"module","title":"K6.Target","doc":"Get k6 target version according to system","ref":"K6.Target.html"},{"type":"function","title":"K6.Target.get!/2","doc":"Get k6 target version","ref":"K6.Target.html#get!/2"},{"type":"type","title":"K6.Target.checksum/0","doc":"","ref":"K6.Target.html#t:checksum/0"},{"type":"type","title":"K6.Target.file_type/0","doc":"","ref":"K6.Target.html#t:file_type/0"},{"type":"type","title":"K6.Target.target/0","doc":"","ref":"K6.Target.html#t:target/0"},{"type":"behaviour","title":"K6.Template","doc":"Utility functions for a k6 template","ref":"K6.Template.html"},{"type":"callback","title":"K6.Template.create/2","doc":"","ref":"K6.Template.html#c:create/2"},{"type":"function","title":"K6.Template.default_host_and_port/0","doc":"","ref":"K6.Template.html#default_host_and_port/0"},{"type":"callback","title":"K6.Template.needs_utilities/0","doc":"","ref":"K6.Template.html#c:needs_utilities/0"},{"type":"function","title":"K6.Template.template_path/1","doc":"","ref":"K6.Template.html#template_path/1"},{"type":"module","title":"K6.Template.Graphql","doc":"Generates a graphql template","ref":"K6.Template.Graphql.html"},{"type":"function","title":"K6.Template.Graphql.generate_and_save/2","doc":"","ref":"K6.Template.Graphql.html#generate_and_save/2"},{"type":"module","title":"K6.Template.Grpc","doc":"Generates a grpc template","ref":"K6.Template.Grpc.html"},{"type":"function","title":"K6.Template.Grpc.generate_and_save/2","doc":"","ref":"K6.Template.Grpc.html#generate_and_save/2"},{"type":"module","title":"K6.Template.Liveview","doc":"Generates a liveview template","ref":"K6.Template.Liveview.html"},{"type":"function","title":"K6.Template.Liveview.generate_and_save/2","doc":"","ref":"K6.Template.Liveview.html#generate_and_save/2"},{"type":"module","title":"K6.Template.PhoenixChannel","doc":"Generates a phoenix channel template","ref":"K6.Template.PhoenixChannel.html"},{"type":"function","title":"K6.Template.PhoenixChannel.generate_and_save/2","doc":"","ref":"K6.Template.PhoenixChannel.html#generate_and_save/2"},{"type":"module","title":"K6.Template.Rest","doc":"Generates a rest template","ref":"K6.Template.Rest.html"},{"type":"function","title":"K6.Template.Rest.generate_and_save/2","doc":"","ref":"K6.Template.Rest.html#generate_and_save/2"},{"type":"module","title":"K6.Template.WebSocket","doc":"Generates a websocket template","ref":"K6.Template.WebSocket.html"},{"type":"function","title":"K6.Template.WebSocket.generate_and_save/2","doc":"","ref":"K6.Template.WebSocket.html#generate_and_save/2"},{"type":"module","title":"K6.Utilities","doc":"Utility functions for a k6 template","ref":"K6.Utilities.html"},{"type":"function","title":"K6.Utilities.create/2","doc":"","ref":"K6.Utilities.html#create/2"},{"type":"task","title":"Mix.Tasks.K6","doc":"Runs k6 commands The command runs using the binary installed locally in the _build folder of the project. If k6 is not installed for the local project, it will automatically install it before running the command. k6 is executed in the folder where k6 tests reside, which defaults to priv/k6 . Examples $ mix k6 run my_test.js $ mix k6 run --vus 10 --duration 30s my_test.js","ref":"Mix.Tasks.K6.html"},{"type":"function","title":"Mix.Tasks.K6.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.K6.html#run/1"},{"type":"task","title":"Mix.Tasks.K6.Gen.Test","doc":"Generate a new k6 test. Tests will be placed in the priv/k6 folder of your project by default. This can be customized via the :k6, :workdir configuration. By default a test for a generic rest-like API will be generated. However, the template to use for the generation of tests can be specified via the --type flag. Command line options --type - the template to use to generate the new test. Supported types are rest (default), graphql , grpc , websocket , phoenix-channel and liveview . --url - the url of the target application. When not set, the generator will try to detect it automatically. Examples $ mix k6.gen.test test_name $ mix k6.gen.test --type graphql test_name $ mix k6.gen.test --url &quot;http://localhost:8000&quot; test_name","ref":"Mix.Tasks.K6.Gen.Test.html"},{"type":"function","title":"Mix.Tasks.K6.Gen.Test.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.K6.Gen.Test.html#run/1"},{"type":"task","title":"Mix.Tasks.K6.Install","doc":"Install k6 on the local project. The binary will be placed in _build/k6 . Configuring k6 version You can set the specific k6 version to install in your config.exs : config :k6 , version : &quot;vX.Y.Z&quot; By default version v0.39.0 is installed. Examples $ mix k6.install","ref":"Mix.Tasks.K6.Install.html"},{"type":"function","title":"Mix.Tasks.K6.Install.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.K6.Install.html#run/1"}]